Job
Get all jobs
Retrieve all jobs via this endpoint.
GET
/
jobs
Get all jobs
curl --request GET \
--url https://public.api.micro1.ai/jobs \
--header 'x-api-key: <api-key>'import requests
url = "https://public.api.micro1.ai/jobs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public.api.micro1.ai/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Jobs fetched successfully",
"data": [
{
"job_id": "123e4567-e89b-12d3-a456-426614174000",
"job_title": "Full Stack Engineer",
"job_description": "We are looking for a Full Stack Engineer to join our team",
"job_code": "M0000001",
"ats_job_id": "JOB123TEST",
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"job_apply_url": "https://jobs.micro1.ai/post/123e4567-e89b-12d3-a456-426614174000",
"job_status": "open",
"date_created": "2021-01-01 00:00:00",
"date_modified": "2021-01-01 00:00:00"
}
]
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Query Parameters
Page number
Number of items per page
Keyword to search for
⌘I
Get all jobs
